| Version: 3.1.5

Classes | Typedefs | Enumerations
taskbarbutton.h File Reference

## Classes
class | wxThumbBarButton
| A thumbnail toolbar button is a control that displayed in the thumbnail image of a window in a taskbar button flyout. More...
class | wxTaskBarButton
| A taskbar button that associated with the window under Windows 7 or later. More...
class | wxTaskBarJumpListItem
| A wxTaskBarJumpListItem represents an item in a jump list category. More...
class | wxTaskBarJumpListCategory
| This class represents a category of jump list in the taskbar button. More...
class | wxTaskBarJumpList
| This class is a transparent wrapper around Windows Jump Lists. More...

## Typedefs
typedef wxVector< wxTaskBarJumpListItem * > | wxTaskBarJumpListItems
| A vector of wxTaskBarJumpListItem pointers. More...
typedef wxVector< wxTaskBarJumpListCategory * > | wxTaskBarJumpListCategories
| A vector of wxTaskBarJumpListCategory pointers. More...

## Enumerations
enum | wxTaskBarButtonState { wxTASKBAR_BUTTON_NO_PROGRESS = 0 , wxTASKBAR_BUTTON_INDETERMINATE = 1 , wxTASKBAR_BUTTON_NORMAL = 2 , wxTASKBAR_BUTTON_ERROR = 4 , wxTASKBAR_BUTTON_PAUSED = 8 }
| State of the taskbar button. More...
enum | wxTaskBarJumpListItemType { wxTASKBAR_JUMP_LIST_SEPARATOR , wxTASKBAR_JUMP_LIST_TASK , wxTASKBAR_JUMP_LIST_DESTINATION }
| Type of jump list item. More...

## Typedef Documentation

## ◆ wxTaskBarJumpListCategories

typedef wxVector<wxTaskBarJumpListCategory*> wxTaskBarJumpListCategories

A vector of wxTaskBarJumpListCategory pointers.

## ◆ wxTaskBarJumpListItems

typedef wxVector<wxTaskBarJumpListItem*> wxTaskBarJumpListItems

A vector of wxTaskBarJumpListItem pointers.

Since
  3.1.0

## Enumeration Type Documentation

## ◆ wxTaskBarButtonState

enum wxTaskBarButtonState

State of the taskbar button.

Since
  3.1.0

Enumerator
wxTASKBAR_BUTTON_NO_PROGRESS |
wxTASKBAR_BUTTON_INDETERMINATE |
wxTASKBAR_BUTTON_NORMAL |
wxTASKBAR_BUTTON_ERROR |
wxTASKBAR_BUTTON_PAUSED |

## ◆ wxTaskBarJumpListItemType

enum wxTaskBarJumpListItemType

Type of jump list item.

Since
  3.1.0

Enumerator
wxTASKBAR_JUMP_LIST_SEPARATOR | A separator, Only tasks category supports separators.
wxTASKBAR_JUMP_LIST_TASK | A task, represents a link to application.
wxTASKBAR_JUMP_LIST_DESTINATION | Item acts as a link to a file that the application can open.